Bug 1118733 - Review Request: perl-Retry - Retry Perl module
Summary: Review Request: perl-Retry - Retry Perl module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 12:11 UTC by David Dick
Modified: 2014-07-30 21:58 UTC (History)
2 users (show)

Fixed In Version: perl-Retry-1.01-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 21:58:28 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-07-11 12:11:37 UTC
Spec URL: http://ddick.fedorapeople.org/packages/perl-Retry.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-Retry-0.12-1.fc20.src.rpm
Description: Retry Perl module
Fedora Account System Username: ddick

Comment 2 David Dick 2014-07-12 04:14:35 UTC
Closing this while licensing issues are followed up.

Comment 3 David Dick 2014-07-17 11:31:12 UTC
Upstream has re-licensed as Artistic 2.0

Spec URL: http://ddick.fedorapeople.org/packages/perl-Retry.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-Retry-1.01-1.fc20.src.rpm

koji builds

rawhide at http://koji.fedoraproject.org/koji/taskinfo?taskID=7156941

el6 cannot be built any more due to perl-Moo not being available in el6

Comment 4 Christopher Meng 2014-07-21 04:34:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 9 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
Retry-1.01/inc/Module/Install.pm
Retry-1.01/inc/Module/Install/Base.pm
Retry-1.01/inc/Module/Install/Can.pm
Retry-1.01/inc/Module/Install/Fetch.pm
Retry-1.01/inc/Module/Install/Makefile.pm
Retry-1.01/inc/Module/Install/Metadata.pm
Retry-1.01/inc/Module/Install/Win32.pm
Retry-1.01/inc/Module/Install/WriteAll.pm
Retry-1.01/lib/Retry.pm

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: perl-Retry-1.01-1.fc22.noarch.rpm
          perl-Retry-1.01-1.fc22.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Retry
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Retry (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.18.2)
    perl(Moo)
    perl(MooX::Types::MooseLike::Base)
    perl(strict)
    perl(warnings)



Provides
--------
perl-Retry:
    perl(Retry)
    perl-Retry



Source checksums
----------------
http://search.cpan.org/CPAN/authors/id/T/TJ/TJC/Retry-1.01.tar.gz :
  CHECKSUM(SHA256) this package     : 1b9610b5b881e6a3e52363af41d35d07c539e6f51a9883fb507b91df11859af4
  CHECKSUM(SHA256) upstream package : 1b9610b5b881e6a3e52363af41d35d07c539e6f51a9883fb507b91df11859af4


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn perl-Retry-1.01-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------
Since 6.75_01 (F21), it's possible to disable creating packlist files by passing NO_PACKLIST=1 argument to Makefile.PL.
----------------------------
PACKAGE APPROVED.

Comment 5 Christopher Meng 2014-07-21 04:36:28 UTC
Forgot to mention:

Summary:        Retry Perl module

is a bit poor, try something different.

Comment 6 David Dick 2014-07-21 06:42:34 UTC
New Package SCM Request
=======================
Package Name: perl-Retry
Short Description: Perl function wrapper providing exponential back-off and callbacks on failure
Upstream URL: http://search.cpan.org/dist/Retry/
Owners: ddick
Branches: f20, f21
InitialCC: perl-sig

Thanks again! Agreed on the summary.  Have updated it.

Comment 7 Gwyn Ciesla 2014-07-21 12:48:39 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-07-21 21:06:26 UTC
perl-Retry-1.01-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Retry-1.01-1.fc20

Comment 9 Fedora Update System 2014-07-23 03:01:21 UTC
perl-Retry-1.01-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-07-30 21:58:28 UTC
perl-Retry-1.01-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.